<template>
  <div class="analytics">
    <!--    tabs    -->
    <div class="analytics-tabs mt-5">
      <div class="__title my-lg-5 my-md-3">Аналитика</div>
      <div class="tabs-wrap">
        <v-btn
          v-for="tab in tabs"
          :key="`anal-${tab.id}`"
          :class="{'_active':activeTab === tab.id}"
          class="analytics-tab"
          text
          @click="activeTab = tab.id"
          max-width="130px"
        >
          {{tab.title}}
        </v-btn>
        <v-menu
          class="mobile-tabs"
          bottom
          offset-y
        >
          <template v-slot:activator="{ on, attrs }">
            <v-btn
              v-bind="attrs"
              v-on="on"
              width="175px"
              class="mobile-tabs"
            >{{filterTabs.title}} <v-icon>mdi-chevron-down</v-icon></v-btn>
          </template>
          <v-list>
            <v-list-item
              v-for="tab in tabs"
              :key="tab.id"
            >
              <v-btn
                :class="{'_active':activeTab === tab.id}"
                class="admin-tab"
                text
                @click="activeTab = tab.id"
              >
                {{tab.title}}
              </v-btn>
            </v-list-item>
          </v-list>
        </v-menu>
      </div>
      <div class="right-btn-wrap ml-auto">
        <v-btn color="#E6F0FF" class="mr-2">
          <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M1.25 18.125V1.87501C1.25 1.52981 1.5298 1.25001 1.875 1.25001H11.25V3.75001C11.25 4.44036 11.8096 5.00001 12.5 5.00001H15V6.87501H16.25V4.37501C16.251 4.20888 16.1857 4.04919 16.0687 3.93126L12.3187 0.18126C12.2008 0.0642678 12.0411 -0.000927527 11.875 9.97262e-06H1.875C0.839453 9.97262e-06 0 0.839502 0 1.87501V18.125C0 19.1606 0.839453 20 1.875 20H6.25V18.75H1.875C1.52984 18.75 1.25 18.4702 1.25 18.125Z" fill="#324661"/>
            <path d="M8.19375 10.344L7.5 11.7252L6.80625 10.344C6.70035 10.1338 6.48535 10.0009 6.25 10.0002H5V11.2502H5.8625L6.8 13.1252L5.8625 15.0002H5V16.2502H6.25C6.48535 16.2495 6.70035 16.1167 6.80625 15.9065L7.5 14.5252L8.19375 15.9065C8.29965 16.1167 8.51465 16.2495 8.75 16.2502H10V15.0002H9.1375L8.2 13.1252L9.1375 11.2502H10V10.0002H8.75C8.51465 10.001 8.29965 10.1338 8.19375 10.344Z" fill="#324661"/>
            <path d="M18.125 12.5002H16.875C16.5298 12.5002 16.25 12.2204 16.25 11.8752C16.25 11.53 16.5298 11.2502 16.875 11.2502H18.125C18.4702 11.2502 18.75 11.53 18.75 11.8752H20C20 10.8397 19.1605 10.0002 18.125 10.0002H16.875C15.8395 10.0002 15 10.8397 15 11.8752C15 12.9108 15.8395 13.7502 16.875 13.7502H18.125C18.4702 13.7502 18.75 14.03 18.75 14.3752C18.75 14.7204 18.4702 15.0002 18.125 15.0002H16.875C16.5298 15.0002 16.25 14.7204 16.25 14.3752H15C15 15.4108 15.8395 16.2502 16.875 16.2502H18.125C19.1605 16.2502 20 15.4108 20 14.3752C20 13.3397 19.1605 12.5002 18.125 12.5002Z" fill="#324661"/>
            <path d="M11.875 10.0002H10.625V15.6252C10.625 15.9704 10.9048 16.2502 11.25 16.2502H14.375V15.0002H11.875V10.0002Z" fill="#324661"/>
          </svg>
        </v-btn>
        <v-btn color="#3183FF" @click="calendar = true">
          <svg v-if="!calendar" width="20" height="18" viewBox="0 0 20 18" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M20 2.21412V4.35683H0V2.21412C0 1.02977 0.95836 0.0714111 2.14271 0.0714111H17.8573C19.0375 0.0714111 20 1.02977 20 2.21412ZM20 5.7839V15.7818C20 16.9662 19.0416 17.9245 17.8573 17.9245H2.14271C0.95836 17.9287 0 16.9662 0 15.786V5.7839H20ZM6.42812 14.3547C6.42812 13.9613 6.11006 13.6391 5.71249 13.6391H4.28542C3.89203 13.6391 3.56978 13.9572 3.56978 14.3547C3.56978 14.7481 3.88784 15.0704 4.28542 15.0704H5.71249C6.11006 15.0704 6.42812 14.7523 6.42812 14.3547ZM6.42812 11.5006C6.42812 11.1072 6.11006 10.785 5.71249 10.785H4.28542C3.89203 10.785 3.56978 11.103 3.56978 11.5006C3.56978 11.894 3.88784 12.2162 4.28542 12.2162H5.71249C6.11006 12.212 6.42812 11.894 6.42812 11.5006ZM6.42812 8.64224C6.42812 8.24885 6.11006 7.92661 5.71249 7.92661H4.28542C3.89203 7.92661 3.56978 8.24467 3.56978 8.64224C3.56978 9.03981 3.88784 9.35787 4.28542 9.35787H5.71249C6.11006 9.35787 6.42812 9.03563 6.42812 8.64224ZM11.4292 14.3547C11.4292 13.9613 11.1111 13.6391 10.7135 13.6391H9.28646C8.89307 13.6391 8.57083 13.9572 8.57083 14.3547C8.57083 14.7481 8.88889 15.0704 9.28646 15.0704H10.7135C11.1069 15.0704 11.4292 14.7523 11.4292 14.3547ZM11.4292 11.5006C11.4292 11.1072 11.1111 10.785 10.7135 10.785H9.28646C8.89307 10.785 8.57083 11.103 8.57083 11.5006C8.57083 11.894 8.88889 12.2162 9.28646 12.2162H10.7135C11.1069 12.212 11.4292 11.894 11.4292 11.5006ZM11.4292 8.64224C11.4292 8.24885 11.1111 7.92661 10.7135 7.92661H9.28646C8.89307 7.92661 8.57083 8.24467 8.57083 8.64224C8.57083 9.03981 8.88889 9.35787 9.28646 9.35787H10.7135C11.1069 9.35787 11.4292 9.03563 11.4292 8.64224ZM16.426 14.3547C16.426 13.9613 16.108 13.6391 15.7104 13.6391H14.2833C13.8899 13.6391 13.5677 13.9572 13.5677 14.3547C13.5677 14.7481 13.8857 15.0704 14.2833 15.0704H15.7104C16.108 15.0704 16.426 14.7523 16.426 14.3547ZM16.426 11.5006C16.426 11.1072 16.108 10.785 15.7104 10.785H14.2833C13.8899 10.785 13.5677 11.103 13.5677 11.5006C13.5677 11.894 13.8857 12.2162 14.2833 12.2162H15.7104C16.108 12.212 16.426 11.894 16.426 11.5006ZM16.426 8.64224C16.426 8.24885 16.108 7.92661 15.7104 7.92661H14.2833C13.8899 7.92661 13.5677 8.24467 13.5677 8.64224C13.5677 9.03981 13.8857 9.35787 14.2833 9.35787H15.7104C16.108 9.35787 16.426 9.03563 16.426 8.64224Z" fill="white"/>
          </svg>
          <span v-if="!calendar" class="ml-2" style="color: #ffffff">01.03.2021 - 17.03.2021</span>
          <input style="color: #ffffff;" type="date" v-if="calendar">
        </v-btn>
      </div>
    </div>
    <!--   end tabs    -->

    <!--    таблица   -->
    <section class="table">
      <div class="table-wrap">
        <table>
          <tr>
            <th>
              Сотрудник
            </th>
            <th>
              Время обработки обращения
            </th>
            <th>
              в т.ч. спам
            </th>
            <th>
              в т.ч. нецелевые и дубли
            </th>
            <th>
              Передано в регион
            </th>
            <th>
              Итого целевых
            </th>
            <th>
              «Ждем материалы»
            </th>
            <th>
              «Прислали материалы»
            </th>
            <th>
              «У юриста»
            </th>
            <th>
              % результа- тивности в документы
            </th>
            <th>
              Сумма полученная
            </th>
          </tr>
          <tr>
            <td>Алексей</td>
            <td>05:21 мин</td>
            <td>2</td>
            <td>1</td>
            <td>0</td>
            <td>0</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>
              <v-icon @click="dialog = true" color="blue">mdi-eye</v-icon>
            </td>
          </tr>
          <tr>
            <td>Алексей</td>
            <td>05:21 мин</td>
            <td>2</td>
            <td>1</td>
            <td>0</td>
            <td>0</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>
              <v-icon @click="dialog = true" color="blue">mdi-eye</v-icon>
            </td>
          </tr>
        </table>
      </div>
    </section>
    <!--   end таблица   -->
    <v-dialog
      v-model="dialog"
      width="900"
    >
      <v-card class="pa-5">
        <v-card-title class="text-h5">
          Список сделок
        </v-card-title>
        <v-divider class="mb-5"></v-divider>
        <v-card-text>
          <!--    таблица   -->
          <section class="table">
            <div class="table-wrap">
              <table>
                <tr>
                  <th>
                    Название сделки
                  </th>
                  <th>
                    Статус
                  </th>
                  <th>
                    Клиент
                  </th>
                  <th>
                    Инфо
                  </th>
                  <th>
                    Ответственный
                  </th>
                  <th>
                    Стоимость
                  </th>
                  <th>
                    Изменения
                  </th>
                  <th>
                    % продажника
                  </th>
                </tr>
                <tr>
                  <td>Алексей</td>
                  <td>05:21 мин</td>
                  <td>2</td>
                  <td style="min-width: 150px">
                    <v-menu
                      bottom
                      offset-y
                    >
                      <template v-slot:activator="{ on, attrs }">
                        <span
                          class="contact"
                          v-bind="attrs"
                          v-on="on"
                          :style="{
                            backgroundColor: tagsActive.color
                          }"
                        >
                          {{tagsActive.title}}
                        </span>
                      </template>
                      <v-list>
                        <v-list-item
                          v-for="(tag, i) in tags"
                          :key="i"
                          @click="tagsActive.title = tag.title; tagsActive.color = tag.color"
                        >
                          <v-list-item-title style="line-height: inherit!important;">
                        <span
                            :style="{
                              backgroundColor: tag.color
                            }"
                            class="contact"
                        >
                            {{ tag.title }}
                        </span>
                          </v-list-item-title>
                        </v-list-item>
                      </v-list>
                    </v-menu>
                  </td>
                  <td>0</td>
                  <td>0</td>
                  <td>1</td>
                  <td>asdasd1</td>
                  <td><v-icon class="mt-1" color="blue">mdi-eye</v-icon></td>
                </tr>
              </table>
            </div>
          </section>
          <!--   end таблица   -->
        </v-card-text>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  name: 'Analytics',
  data () {
    return {
      tabs: [
        { title: 'По сотрудникам', id: 1 },
        { title: 'По регионам', id: 2 },
        { title: 'По статьям', id: 3 },
        { title: 'По оплатам', id: 4 },
        { title: 'По инстанциям', id: 5 },
        { title: 'По источникам', id: 6 },
        { title: 'По отказам', id: 7 }
      ],
      activeTab: 1,
      dialog: false,
      tags: [
        {
          title: 'Новый', color: '#D6D6D6'
        },
        {
          title: 'Получен контакт', color: '#FFAD62'
        },
        {
          title: 'Жду материалы', color: '#8763F0'
        },
        {
          title: 'Передант в регион', color: '#F9E74D'
        },
        {
          title: 'В работе', color: '#3183FF'
        }
      ],
      tagsActive: {
        title: 'Передан в регион', color: '#FFAD62'
      },
      calendar: false
    }
  },
  computed: {
    filterTabs () {
      return this.tabs.find((e) => {
        return e.id === this.activeTab
      })
    }
  }
}
</script>

<style scoped lang="scss">
  .analytics {
    .analytics-tabs {
      display: flex;
      align-items: center;
      width: 100%;
      @media (max-width: 600px) {
        flex-wrap: wrap;
        justify-content: center;
        .right-btn-wrap {
          margin-top: 20px;
          margin-left: inherit!important;
        }
      }
      .tabs-wrap {
        overflow: hidden;
        padding: 0;
        display: inline-flex;
        width: min-content;
        margin-left: 30px;
        .analytics-tab {
          position: relative;
          color: #8BAFE4;
          @media (max-width: 1200px) {
            display: none;
          }
          &._active {
            color: #3183FF;
            &:after {
              content: '';
              position: absolute;
              bottom: 0;
              width: 100%;
              height: 2px;
              background-color: #1976D2;
              z-index: 200000;
            }
          }
        }
        .mobile-tabs {
          display: none;
          @media (max-width: 1200px) {
            display: block;
          }
        }
      }
    }
  }
</style>
